## org.apache.lucene.document
Class LazyDocument.LazyField

    java.lang.Object
      org.apache.lucene.document.LazyDocument.LazyField

All Implemented Interfaces:
  IndexableField

Enclosing class:
  LazyDocument

    public class LazyDocument.LazyField

extends Object
implements IndexableField

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Method Summary
`BytesRef` `binaryValue()`
`float` `boost()`
`IndexableFieldType` `fieldType()`
`boolean` `hasBeenLoaded()` non-private for test only access
`String` `name()`
`Number` `numericValue()`
`Reader` `readerValue()`
`String` `stringValue()`
`TokenStream` `tokenStream(Analyzer analyzer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hasBeenLoaded

    public boolean hasBeenLoaded()

  non-private for test only access

  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### name

    public String name()

  Specified by:
    `name` in interface `IndexableField`

### boost

    public float boost()

  Specified by:
    `boost` in interface `IndexableField`

### binaryValue

    public BytesRef binaryValue()

  Specified by:
    `binaryValue` in interface `IndexableField`

### stringValue

    public String stringValue()

  Specified by:
    `stringValue` in interface `IndexableField`

### readerValue

    public Reader readerValue()

  Specified by:
    `readerValue` in interface `IndexableField`

### numericValue

    public Number numericValue()

  Specified by:
    `numericValue` in interface `IndexableField`

### fieldType

    public IndexableFieldType fieldType()

  Specified by:
    `fieldType` in interface `IndexableField`

### tokenStream

    public TokenStream tokenStream(Analyzer analyzer)
                            throws IOException

  Specified by:
    `tokenStream` in interface `IndexableField`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.